import requests
import time
import hashlib
import json
from app.api_data.order_util import *
from model.DataBaseUtils import MysqlUtils
from model.DateUtils import DateUtils
from concurrent.futures import ProcessPoolExecutor,ThreadPoolExecutor
db=MysqlUtils()


def get_account(plactform):
    data = db.quchen_text.getData(f"select text from order_account_text where platform='{plactform}'")
    new_data = []
    for i in data:
        new_data.append(i[0].replace('\n', '').split(","))
    return new_data


def yangguang(start=None, end=None):

    if start:
        start = start+' 00:00:00'
        end = end+' 23:59:59'
    else:
        start = du.getTodayOrYestoday() + ' 00:00:00'
        end = du.get_n_hours_ago(0)

    client_id = 10008097
    token = '2xa1d55tTPBjeEA8Ho'
    accounts=get_account("阳光")

    for i in accounts:
        stage = i[0]
        vip_id = i[1]
        print(vip_id)
        get_yg_vip_channel(stage, vip_id, client_id, token)
        get_yg_data(stage, vip_id, client_id, token, start, end)

    while True:
        a = db.quchen_text.getOne("select count(1) from yangguang_path where update_time is null")
        print(f" vip 待处理数量 {a} 正在等待数据回调")
        if a == 0:
            break
        time.sleep(60)

    for i in accounts:
        vip_id = i[1]
        parse_yg_data(vip_id)


def huasheng(start=None,end=None):
    if start is None:
        start = end = du.getTodayOrYestoday()

    executor = ThreadPoolExecutor(max_workers=5)
    accounts = get_account("花生")
    li = []
    for account in accounts:
        channel_data = get_hs_channel(account)
        if not channel_data:
            continue
        for merchant in channel_data:
            executor.submit(get_huasheng_order_task, start, end, account, merchant,li)
    executor.shutdown(True)
    save_hs_data(li)


if __name__ == '__main__':

    # yangguang('2021-01-16','2021-01-18')
    huasheng('2021-01-18','2021-01-18')


    """要是只跑一个账号 把 get_yg_acccount() 里面的sql where 条件加上 id=xxx"""